Skip to main content
POST
/
v1
/
payments
/
{id}
/
cancel
cURL
curl --request POST \
  --url https://api.pay.walletconnect.com/v1/payments/{id}/cancel \
  --header 'Api-Key: <api-key>' \
  --header 'Merchant-Id: <merchant-id>'
{
  "cancelledAt": "2025-01-14T10:30:00Z",
  "cancelledReason": "cancelled_by_merchant",
  "paymentId": "pay_aaa2ecc101KMNV56BF66Z1C0VTFGA740M7",
  "status": "cancelled"
}

Authorizations

Api-Key
string
header
required

Headers

Api-Key
string
required
Merchant-Id
string
required
WCP-Version
string | null
Sdk-Name
string | null
Sdk-Version
string | null
Sdk-Platform
string | null
Idempotency-Key
string | null

Path Parameters

id
string
required

Payment ID

Example:

"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"

Response

Payment cancelled successfully

cancelledAt
string
required
cancelledReason
string
required
paymentId
string
required

Payment ID

Example:

"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"

status
enum<string>
required

Payment status representing the lifecycle of a payment.

Payments progress through these states from creation to terminal status. Some states are specific to the payment source (pull vs push).

Available options:
requires_action,
processing,
succeeded,
failed,
expired,
cancelled